# $Revision: 1.19 $, $Date: 2004/08/14 07:01:41 $
#
# Conditional build:
%bcond_without	tests	# don't perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Test
%define	pnam	Builder-Tester
Summary:	Test::Builder::Tester - test testsuites built with Test::Builder
Summary(pl):	Test::Builder::Tester - testowanie testw zbudowanych przez modu Test::Builder
Name:		perl-Test-Builder-Tester
Version:	1.01
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	4751252f1e33af4f582c8af4c7b7666f
BuildRequires:	perl(Test::Builder) >= 0.12
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Test::Builder::Tester - A Perl module that helps you test testing
modules that are built with Test::Builder.

%description -l pl
Test::Builder::Tester jest moduem Perla pomocnym przy testowaniu
testowych moduw, tworzonych za pomoc Test::Builder.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES
%dir %{perl_vendorlib}/Test/Builder
%{perl_vendorlib}/Test/Builder/*.pm
%{perl_vendorlib}/Test/Builder/Tester
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Test-Builder-Tester.spec,v $
Revision 1.19  2004/08/14 07:01:41  adamg
- updated to 1.01

Revision 1.18  2004/08/08 17:07:30  adamg
- updated to 1.00

Revision 1.17  2004/06/05 18:10:48  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.16  2004/05/07 00:38:53  ankry
- rel. 5

Revision 1.15  2004/05/06 18:43:23  ankry
- fixed perl-devel BR

Revision 1.14  2004/05/03 00:55:42  ankry
- license fixes, cosmetics

Revision 1.13  2003/12/29 15:27:54  undefine
- release 4

Revision 1.12  2003/11/01 00:32:59  qboosh
- added tests and informative summaries

Revision 1.11  2003/08/18 08:09:17  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.10  2003/05/28 13:01:04  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 06:25:02  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/04/11 18:59:27  radek
- BR: perl-devel; do not BR: perl

Revision 1.7  2003/03/01 21:34:39  radek
- should be ready for perl-5.8.0; release++

Revision 1.6  2003/02/28 10:08:32  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.5  2003/02/24 20:31:57  radek
- use the __perl macro

Revision 1.4  2003/02/18 15:38:33  ankry
- massive attack: change CPAN URLs

Revision 1.3  2002/08/01 12:43:13  ankry
- added %%{perl_sitelib}/Test/Builder dir
- added description
- cleaning, adapterized
release 2

Revision 1.2  2002/07/25 23:59:08  radek
- added CVS Date field in the first line

Revision 1.1  2002/07/21 23:13:24  radek
- new, STBR
